Skip to main content
GET
User Boards
πŸ’³ 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

handle
string
required

The username of the user to get boards for

Example:

"broadstbullycom"

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • boards[n].id: Board unique ID
  • boards[n].name: Board name
  • boards[n].url: Full URL to the board
  • boards[n].description: Board description text
  • boards[n].pin_count: Number of pins on the board
  • boards[n].follower_count: Board follower count
  • boards[n].created_at: Board creation timestamp
  • boards[n].owner.username: Board owner's handle
  • boards[n].image_cover_hd_url: Board cover image URL
  • cursor: Pagination cursor for next page